﻿using System;
using System.Windows;
using Telerik.Windows.Controls;

namespace UserControl_In_RadTabItem
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void RadTabControl_SelectionChanged(object sender, Telerik.Windows.Controls.RadSelectionChangedEventArgs e)
        {

            var selectedItems = e.AddedItems;
            var selectedItem = (RadTabItem)selectedItems[0];
          
            var selectedItemIndex = this.MainTabControl.Items.IndexOf(selectedItem);

            if (selectedItemIndex == 0)
            {
                selectedItem.Content = new GridControlData();
                ChangeSize(sender, selectedItem);
            }
            else if (selectedItemIndex == 1)
            {
                selectedItem.Content = new CharControlData();
                ChangeSize(sender, selectedItem);               
            }
            else if (selectedItemIndex == 2)
            {
                selectedItem.Content = new TileViewControlData();
                ChangeSize(sender, selectedItem);
            }
        }
        public void ChangeSize(object sender, RadTabItem selectedItem)
        {
            var tabControl = sender as RadTabControl;
            var maxSize = 0d;
         
            var content = selectedItem.Content as FrameworkElement;
            content.Measure(new Size(Double.PositiveInfinity, Double.PositiveInfinity));
            maxSize = content.DesiredSize.Height;
          
            this.MainTabControl.Height = maxSize;        
        }
    }
}
